| AI Engine-ML Intrinsics User Guide (v2025.2)

Loading...
Searching...
No Matches
Insert a vector into a vector
Vector Conversions » Insert vector

## Overview

Insertes a vector into another one. The insertion position dependson the size of the vector that should be inserted and the input idx.

## Insert 256-bit in 512-bit register
v128uint4 | insert (v128uint4 a, int idx, v64uint4 b)
v128int4 | insert (v128int4 a, int idx, v64int4 b)
v64uint8 | insert (v64uint8 a, int idx, v32uint8 b)
v64int8 | insert (v64int8 a, int idx, v32int8 b)
v32uint16 | insert (v32uint16 a, int idx, v16uint16 b)
v32int16 | insert (v32int16 a, int idx, v16int16 b)
v16cint16 | insert (v16cint16 a, int idx, v8cint16 b)
v16uint32 | insert (v16uint32 a, int idx, v8uint32 b)
v16int32 | insert (v16int32 a, int idx, v8int32 b)
v8cint32 | insert (v8cint32 a, int idx, v4cint32 b)
v32bfloat16 | insert (v32bfloat16 a, int idx, v16bfloat16 b)
v16accfloat | insert (v16accfloat a, int idx, v8accfloat b)
v16float | insert (v16float a, int idx, v8float b)
v16acc32 | insert (v16acc32 a, int idx, v8acc32 b)
v8acc64 | insert (v8acc64 a, int idx, v4acc64 b)
v4cacc64 | insert (v4cacc64 a, int idx, v2cacc64 b)
v8caccfloat | insert (v8caccfloat a, int idx, v4caccfloat b)
v8cfloat | insert (v8cfloat a, int idx, v4cfloat b)
v16cbfloat16 | insert (v16cbfloat16 a, int idx, v8cbfloat16 b)

## Insert 256-bit in 1024-bit register
v256uint4 | insert (v256uint4 a, int idx, v64uint4 b)
v256int4 | insert (v256int4 a, int idx, v64int4 b)
v128uint8 | insert (v128uint8 a, int idx, v32uint8 b)
v128int8 | insert (v128int8 a, int idx, v32int8 b)
v64uint16 | insert (v64uint16 a, int idx, v16uint16 b)
v64int16 | insert (v64int16 a, int idx, v16int16 b)
v32cint16 | insert (v32cint16 a, int idx, v8cint16 b)
v32uint32 | insert (v32uint32 a, int idx, v8uint32 b)
v32int32 | insert (v32int32 a, int idx, v8int32 b)
v16cint32 | insert (v16cint32 a, int idx, v4cint32 b)
v64bfloat16 | insert (v64bfloat16 a, int idx, v16bfloat16 b)
v32accfloat | insert (v32accfloat a, int idx, v8accfloat b)
v32float | insert (v32float a, int idx, v8float b)
v32acc32 | insert (v32acc32 a, int idx, v8acc32 b)
v16acc64 | insert (v16acc64 a, int idx, v4acc64 b)
v8cacc64 | insert (v8cacc64 a, int idx, v2cacc64 b)
v16caccfloat | insert (v16caccfloat a, int idx, v4caccfloat b)
v16cfloat | insert (v16cfloat a, int idx, v4cfloat b)
v32cbfloat16 | insert (v32cbfloat16 a, int idx, v8cbfloat16 b)

## Insert 512-bit in 1024-bit register
v256uint4 | insert (v256uint4 a, int idx, v128uint4 b)
v256int4 | insert (v256int4 a, int idx, v128int4 b)
v128uint8 | insert (v128uint8 a, int idx, v64uint8 b)
v128int8 | insert (v128int8 a, int idx, v64int8 b)
v64uint16 | insert (v64uint16 a, int idx, v32uint16 b)
v64int16 | insert (v64int16 a, int idx, v32int16 b)
v32cint16 | insert (v32cint16 a, int idx, v16cint16 b)
v32uint32 | insert (v32uint32 a, int idx, v16uint32 b)
v32int32 | insert (v32int32 a, int idx, v16int32 b)
v16cint32 | insert (v16cint32 a, int idx, v8cint32 b)
v64bfloat16 | insert (v64bfloat16 a, int idx, v32bfloat16 b)
v32accfloat | insert (v32accfloat a, int idx, v16accfloat b)
v32float | insert (v32float a, int idx, v16float b)
v32acc32 | insert (v32acc32 a, int idx, v16acc32 b)
v16acc64 | insert (v16acc64 a, int idx, v8acc64 b)
v8cacc64 | insert (v8cacc64 a, int idx, v4cacc64 b)
v16caccfloat | insert (v16caccfloat a, int idx, v8caccfloat b)
v16cfloat | insert (v16cfloat a, int idx, v8cfloat b)
v32cbfloat16 | insert (v32cbfloat16 a, int idx, v16cbfloat16 b)

## Insert 128-bit in 512-bit register
v128uint4 | insert (v128uint4 v, int idx, v32uint4 b)
v128int4 | insert (v128int4 v, int idx, v32int4 b)
v64uint8 | insert (v64uint8 v, int idx, v16uint8 b)
v64int8 | insert (v64int8 v, int idx, v16int8 b)
v32uint16 | insert (v32uint16 v, int idx, v8uint16 b)
v32int16 | insert (v32int16 v, int idx, v8int16 b)
v16cint16 | insert (v16cint16 v, int idx, v4cint16 b)
v16uint32 | insert (v16uint32 v, int idx, v4uint32 b)
v16int32 | insert (v16int32 v, int idx, v4int32 b)
v8cint32 | insert (v8cint32 v, int idx, v2cint32 b)
v32bfloat16 | insert (v32bfloat16 v, int idx, v8bfloat16 b)
v16float | insert (v16float v, int idx, v4float b)
v8cfloat | insert (v8cfloat v, int idx, v2cfloat b)
v16cbfloat16 | insert (v16cbfloat16 v, int idx, v4cbfloat16 b)
v64uint4 | insert (v64uint4 a, int idx, v32uint4 b)
v64int4 | insert (v64int4 a, int idx, v32int4 b)
v32uint8 | insert (v32uint8 a, int idx, v16uint8 b)
v32int8 | insert (v32int8 a, int idx, v16int8 b)
v16uint16 | insert (v16uint16 a, int idx, v8uint16 b)
v16int16 | insert (v16int16 a, int idx, v8int16 b)
v8cint16 | insert (v8cint16 a, int idx, v4cint16 b)
v8uint32 | insert (v8uint32 a, int idx, v4uint32 b)
v8int32 | insert (v8int32 a, int idx, v4int32 b)
v4cint32 | insert (v4cint32 a, int idx, v2cint32 b)
v16bfloat16 | insert (v16bfloat16 a, int idx, v8bfloat16 b)
v8float | insert (v8float a, int idx, v4float b)
v4cfloat | insert (v4cfloat a, int idx, v2cfloat b)
v8cbfloat16 | insert (v8cbfloat16 a, int idx, v4cbfloat16 b)

## Function Documentation

## ◆ insert() [1/85]

v128int4 insert | ( | v128int4 | a,
|  | int | idx,
|  | v64int4 | b )

## ◆ insert() [2/85]

v128int4 insert | ( | v128int4 | v,
|  | int | idx,
|  | v32int4 | b )

## ◆ insert() [3/85]

v128int8 insert | ( | v128int8 | a,
|  | int | idx,
|  | v32int8 | b )

## ◆ insert() [4/85]

v128int8 insert | ( | v128int8 | a,
|  | int | idx,
|  | v64int8 | b )

## ◆ insert() [5/85]

v128uint4 insert | ( | v128uint4 | a,
|  | int | idx,
|  | v64uint4 | b )

## ◆ insert() [6/85]

v128uint4 insert | ( | v128uint4 | v,
|  | int | idx,
|  | v32uint4 | b )

## ◆ insert() [7/85]

v128uint8 insert | ( | v128uint8 | a,
|  | int | idx,
|  | v32uint8 | b )

## ◆ insert() [8/85]

v128uint8 insert | ( | v128uint8 | a,
|  | int | idx,
|  | v64uint8 | b )

## ◆ insert() [9/85]

v16acc32 insert | ( | v16acc32 | a,
|  | int | idx,
|  | v8acc32 | b )

## ◆ insert() [10/85]

v16acc64 insert | ( | v16acc64 | a,
|  | int | idx,
|  | v4acc64 | b )

## ◆ insert() [11/85]

v16acc64 insert | ( | v16acc64 | a,
|  | int | idx,
|  | v8acc64 | b )

## ◆ insert() [12/85]

v16accfloat insert | ( | v16accfloat | a,
|  | int | idx,
|  | v8accfloat | b )

## ◆ insert() [13/85]

v16bfloat16 insert | ( | v16bfloat16 | a,
|  | int | idx,
|  | v8bfloat16 | b )

## ◆ insert() [14/85]

v16caccfloat insert | ( | v16caccfloat | a,
|  | int | idx,
|  | v4caccfloat | b )

## ◆ insert() [15/85]

v16caccfloat insert | ( | v16caccfloat | a,
|  | int | idx,
|  | v8caccfloat | b )

## ◆ insert() [16/85]

v16cbfloat16 insert | ( | v16cbfloat16 | a,
|  | int | idx,
|  | v8cbfloat16 | b )

## ◆ insert() [17/85]

v16cbfloat16 insert | ( | v16cbfloat16 | v,
|  | int | idx,
|  | v4cbfloat16 | b )

## ◆ insert() [18/85]

v16cfloat insert | ( | v16cfloat | a,
|  | int | idx,
|  | v4cfloat | b )

## ◆ insert() [19/85]

v16cfloat insert | ( | v16cfloat | a,
|  | int | idx,
|  | v8cfloat | b )

## ◆ insert() [20/85]

v16cint16 insert | ( | v16cint16 | a,
|  | int | idx,
|  | v8cint16 | b )

## ◆ insert() [21/85]

v16cint16 insert | ( | v16cint16 | v,
|  | int | idx,
|  | v4cint16 | b )

## ◆ insert() [22/85]

v16cint32 insert | ( | v16cint32 | a,
|  | int | idx,
|  | v4cint32 | b )

## ◆ insert() [23/85]

v16cint32 insert | ( | v16cint32 | a,
|  | int | idx,
|  | v8cint32 | b )

## ◆ insert() [24/85]

v16float insert | ( | v16float | a,
|  | int | idx,
|  | v8float | b )

## ◆ insert() [25/85]

v16float insert | ( | v16float | v,
|  | int | idx,
|  | v4float | b )

## ◆ insert() [26/85]

v16int16 insert | ( | v16int16 | a,
|  | int | idx,
|  | v8int16 | b )

## ◆ insert() [27/85]

v16int32 insert | ( | v16int32 | a,
|  | int | idx,
|  | v8int32 | b )

## ◆ insert() [28/85]

v16int32 insert | ( | v16int32 | v,
|  | int | idx,
|  | v4int32 | b )

## ◆ insert() [29/85]

v16uint16 insert | ( | v16uint16 | a,
|  | int | idx,
|  | v8uint16 | b )

## ◆ insert() [30/85]

v16uint32 insert | ( | v16uint32 | a,
|  | int | idx,
|  | v8uint32 | b )

## ◆ insert() [31/85]

v16uint32 insert | ( | v16uint32 | v,
|  | int | idx,
|  | v4uint32 | b )

## ◆ insert() [32/85]

v256int4 insert | ( | v256int4 | a,
|  | int | idx,
|  | v128int4 | b )

## ◆ insert() [33/85]

v256int4 insert | ( | v256int4 | a,
|  | int | idx,
|  | v64int4 | b )

## ◆ insert() [34/85]

v256uint4 insert | ( | v256uint4 | a,
|  | int | idx,
|  | v128uint4 | b )

## ◆ insert() [35/85]

v256uint4 insert | ( | v256uint4 | a,
|  | int | idx,
|  | v64uint4 | b )

## ◆ insert() [36/85]

v32acc32 insert | ( | v32acc32 | a,
|  | int | idx,
|  | v16acc32 | b )

## ◆ insert() [37/85]

v32acc32 insert | ( | v32acc32 | a,
|  | int | idx,
|  | v8acc32 | b )

## ◆ insert() [38/85]

v32accfloat insert | ( | v32accfloat | a,
|  | int | idx,
|  | v16accfloat | b )

## ◆ insert() [39/85]

v32accfloat insert | ( | v32accfloat | a,
|  | int | idx,
|  | v8accfloat | b )

## ◆ insert() [40/85]

v32bfloat16 insert | ( | v32bfloat16 | a,
|  | int | idx,
|  | v16bfloat16 | b )

## ◆ insert() [41/85]

v32bfloat16 insert | ( | v32bfloat16 | v,
|  | int | idx,
|  | v8bfloat16 | b )

## ◆ insert() [42/85]

v32cbfloat16 insert | ( | v32cbfloat16 | a,
|  | int | idx,
|  | v16cbfloat16 | b )

## ◆ insert() [43/85]

v32cbfloat16 insert | ( | v32cbfloat16 | a,
|  | int | idx,
|  | v8cbfloat16 | b )

## ◆ insert() [44/85]

v32cint16 insert | ( | v32cint16 | a,
|  | int | idx,
|  | v16cint16 | b )

## ◆ insert() [45/85]

v32cint16 insert | ( | v32cint16 | a,
|  | int | idx,
|  | v8cint16 | b )

## ◆ insert() [46/85]

v32float insert | ( | v32float | a,
|  | int | idx,
|  | v16float | b )

## ◆ insert() [47/85]

v32float insert | ( | v32float | a,
|  | int | idx,
|  | v8float | b )

## ◆ insert() [48/85]

v32int16 insert | ( | v32int16 | a,
|  | int | idx,
|  | v16int16 | b )

## ◆ insert() [49/85]

v32int16 insert | ( | v32int16 | v,
|  | int | idx,
|  | v8int16 | b )

## ◆ insert() [50/85]

v32int32 insert | ( | v32int32 | a,
|  | int | idx,
|  | v16int32 | b )

## ◆ insert() [51/85]

v32int32 insert | ( | v32int32 | a,
|  | int | idx,
|  | v8int32 | b )

## ◆ insert() [52/85]

v32int8 insert | ( | v32int8 | a,
|  | int | idx,
|  | v16int8 | b )

## ◆ insert() [53/85]

v32uint16 insert | ( | v32uint16 | a,
|  | int | idx,
|  | v16uint16 | b )

## ◆ insert() [54/85]

v32uint16 insert | ( | v32uint16 | v,
|  | int | idx,
|  | v8uint16 | b )

## ◆ insert() [55/85]

v32uint32 insert | ( | v32uint32 | a,
|  | int | idx,
|  | v16uint32 | b )

## ◆ insert() [56/85]

v32uint32 insert | ( | v32uint32 | a,
|  | int | idx,
|  | v8uint32 | b )

## ◆ insert() [57/85]

v32uint8 insert | ( | v32uint8 | a,
|  | int | idx,
|  | v16uint8 | b )

## ◆ insert() [58/85]

v4cacc64 insert | ( | v4cacc64 | a,
|  | int | idx,
|  | v2cacc64 | b )

## ◆ insert() [59/85]

v4cfloat insert | ( | v4cfloat | a,
|  | int | idx,
|  | v2cfloat | b )

## ◆ insert() [60/85]

v4cint32 insert | ( | v4cint32 | a,
|  | int | idx,
|  | v2cint32 | b )

## ◆ insert() [61/85]

v64bfloat16 insert | ( | v64bfloat16 | a,
|  | int | idx,
|  | v16bfloat16 | b )

## ◆ insert() [62/85]

v64bfloat16 insert | ( | v64bfloat16 | a,
|  | int | idx,
|  | v32bfloat16 | b )

## ◆ insert() [63/85]

v64int16 insert | ( | v64int16 | a,
|  | int | idx,
|  | v16int16 | b )

## ◆ insert() [64/85]

v64int16 insert | ( | v64int16 | a,
|  | int | idx,
|  | v32int16 | b )

## ◆ insert() [65/85]

v64int4 insert | ( | v64int4 | a,
|  | int | idx,
|  | v32int4 | b )

## ◆ insert() [66/85]

v64int8 insert | ( | v64int8 | a,
|  | int | idx,
|  | v32int8 | b )

## ◆ insert() [67/85]

v64int8 insert | ( | v64int8 | v,
|  | int | idx,
|  | v16int8 | b )

## ◆ insert() [68/85]

v64uint16 insert | ( | v64uint16 | a,
|  | int | idx,
|  | v16uint16 | b )

## ◆ insert() [69/85]

v64uint16 insert | ( | v64uint16 | a,
|  | int | idx,
|  | v32uint16 | b )

## ◆ insert() [70/85]

v64uint4 insert | ( | v64uint4 | a,
|  | int | idx,
|  | v32uint4 | b )

## ◆ insert() [71/85]

v64uint8 insert | ( | v64uint8 | a,
|  | int | idx,
|  | v32uint8 | b )

## ◆ insert() [72/85]

v64uint8 insert | ( | v64uint8 | v,
|  | int | idx,
|  | v16uint8 | b )

## ◆ insert() [73/85]

v8acc64 insert | ( | v8acc64 | a,
|  | int | idx,
|  | v4acc64 | b )

## ◆ insert() [74/85]

v8cacc64 insert | ( | v8cacc64 | a,
|  | int | idx,
|  | v2cacc64 | b )

## ◆ insert() [75/85]

v8cacc64 insert | ( | v8cacc64 | a,
|  | int | idx,
|  | v4cacc64 | b )

## ◆ insert() [76/85]

v8caccfloat insert | ( | v8caccfloat | a,
|  | int | idx,
|  | v4caccfloat | b )

## ◆ insert() [77/85]

v8cbfloat16 insert | ( | v8cbfloat16 | a,
|  | int | idx,
|  | v4cbfloat16 | b )

## ◆ insert() [78/85]

v8cfloat insert | ( | v8cfloat | a,
|  | int | idx,
|  | v4cfloat | b )

## ◆ insert() [79/85]

v8cfloat insert | ( | v8cfloat | v,
|  | int | idx,
|  | v2cfloat | b )

## ◆ insert() [80/85]

v8cint16 insert | ( | v8cint16 | a,
|  | int | idx,
|  | v4cint16 | b )

## ◆ insert() [81/85]

v8cint32 insert | ( | v8cint32 | a,
|  | int | idx,
|  | v4cint32 | b )

## ◆ insert() [82/85]

v8cint32 insert | ( | v8cint32 | v,
|  | int | idx,
|  | v2cint32 | b )

## ◆ insert() [83/85]

v8float insert | ( | v8float | a,
|  | int | idx,
|  | v4float | b )

## ◆ insert() [84/85]

v8int32 insert | ( | v8int32 | a,
|  | int | idx,
|  | v4int32 | b )

## ◆ insert() [85/85]

v8uint32 insert | ( | v8uint32 | a,
|  | int | idx,
|  | v4uint32 | b )